/*
	Text screen window class

	Header for module 'twin.obj' (stored in 'textgrfx.lib')
*/


class Window
{
	unsigned	xpos,         /* left edge of window 1 - 80 (or 40) */
				ypos,         /* top edge of window 1 - 25 (or 43 or 50) */
				wid,          /* width of text area */
				hgt,          /* height of text area */
				s_right,      /* right edge of shadow */
				s_bottom;     /* bottom edge of shadow */

	int      	bordcols,     /* border colour attributes */
				wincols;	  /* window text colour attributes */

	char 		*scrbuf;          /* pointer to saved screen contents */
	text_info 	prev;             /* saved screen state info */


	void drawborder();
	void drawshadow();
	void show();
	void hide();

public:

	Window(unsigned x, unsigned y,
		   unsigned w, unsigned h,
		   int bordattr = (BLUE<<4)+LIGHTBLUE,
		   int winattr = (BLUE<<4)+WHITE,
		   int shadow = 1);

	~Window();

};