/*
	VCOPY.EXE --- Dragon Dos virtual disk file copy utility
	S. Orchard March '99

	Header file for disk functions
*/

#if __STDC__
#  define _Cdecl
#else
#  define _Cdecl  cdecl
#endif

#ifdef __cplusplus
extern "C" {
#endif

int _Cdecl bios_get_drive_type(int drive);
int _Cdecl read_sector(int drive_num, int track, int side, int sector, Byte *buf);
int _Cdecl write_sector(int drive_num, int track, int side, int sector, Byte *buf);
void _Cdecl reset_drive(int drive);
int _Cdecl format_track(int drive, int track, int side);
int _Cdecl verify_sectors(int drive, int track, int side, int start_sec, int num_sec);
int _Cdecl bios_set_dasd_type (int drive, int dasd_type);
int _Cdecl bios_set_media_type (int drive, int max_track, int max_sector);
const char * _Cdecl bios_error_description(int error_code);

#ifdef __cplusplus
}
#endif

